# Command-line Invocation

## Flags

-Gname=value
Set graph attribue
-Nname=value
Set default node attribue
-Ename=value
Set default edge attribue
-T
Set output language (see output_info)
-V
Emit version info and exit
-l
User-supplied, device-depende library. Multiple libraries may be given. These names are passed to the code generator at the beginning of output.
-n[]
Sets no-op flag in neato. In this case, neato assumes nodes have already been positioned and have a pos attribute giving this position. It then just computes the edge layouts and emits the graph in the appropriate format. If is used and > 1, neato checks for previously positioned edges, with control points provided in the pos attribute. It uses these if given; otherwise, it computes the edge layout.
-o
write output to outfile (default: stdout)
-s
Set input scale to . If this value is omitted, 72.0 is used. This number is used to convert pos point units into inches. For example, dot -Tdot produces pos values in points. To use this as input to neato -n, one needs -s (equivalently, -s72).
-v
verbose mode
-x
In neato, on input, prune isolated nodes and peninsulas